#ifndef _LINE_WAVE_MODULE
#define _LINE_WAVE_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"

#define MAX_LENGTH 8000


class lineWaveModule : public graphicsModuleBase {
	
	public:
		
		lineWaveModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		ofImage		img;

		bool		rotating;
		float		startDegrees;
		float 		pct;
		int			radius;
		int			count;
		ofVec3f		startPos;
		ofVec3f		currentPos;
		ofVec3f 	pos;
		ofVec3f		dst;
		ofVec3f		vel;
		ofVec3f		angle;
		
		int			lineCount;
		float		degrees;
		
		int 		framecount;	// so we don't do a new point every frame...				
		ofVec3f		trail[MAX_LENGTH];
};

#endif	